#!/bin/sh

. /etc/script/lib/command.sh

APKG_PKG_DIR=/usr/local/AppCentral/zerotier
PID_FILE=/var/lib/zerotier-one/zerotier-one.pid

case $1 in

	start)
		modprobe tun
		# start script here
		ln -s /usr/local/AppCentral/zerotier /var/lib/zerotier-one
		$APKG_PKG_DIR/bin/zerotier-one -d
		echo $! > $PID_FILE
		;;

	stop)
		# stop script here
		# killall is used because the PID doesn't seem to be recorded properly in ADM
		killall zerotier-one
		# kill -9 `cat $PID_FILE` 2> /dev/null
		rm -rf $PID_FILE
		;;

	*)
		echo "usage: $0 {start|stop}"
		exit 1
		;;
esac

exit 0
